MCOOKIE(1)

NOM
mcookie - Créer des « cookies magiques » pour xauth

SYNOPSIS
mcookie [options]

DESCRIPTION
mcookie génère un nombre hexadécimal aléatoire de 128 bits qui peut être utilisé avec le système d'authentification de X. Utilisation typique :
    xauth add :0 . `mcookie`

Le nombre « aléatoire » généré est en fait le résultat de l'algorithme de hachage MD5 sur une entrée constituée de diverses informations aléatoires : l'heure, l'identifiant de processus, l'identifiant du processus parent, facultativement le contenu d'un fichier d'entrée, et plusieurs octets du premier des périphériques suivants présent : /dev/random, /dev/urandom, fichiers de /proc, /dev/audio.

OPTIONS

-f, --file=fichier
    Utiliser le fichier pour générer le cookie magique. Si le fichier est -, l'entrée standard est lue.

-v, --verbose
    Expliquer ce qui est fait.

-V, --version
    Afficher les informations sur la version et quitter.

-h, --help
    Afficher l'aide puis quitter.

BOGUES
L'entropie des 128 bits générés est probablement assez faible (et par conséquent vulnérable à des attaques) sauf si un générateur de nombres non pseudoaléatoires est utilisé (par exemple, /dev/random sous Linux).

Aucun périphérique utilisé n'est censé bloquer.

FICHIERS
/dev/random
/dev/urandom
/dev/audio
/proc/stat
/proc/loadavg

VOIR AUSSI
X(1), xauth(1), md5sum(1)

DISPONIBILITÉ
La commande mcookie fait partie du paquet util-linux, elle est disponible sur <URL:ftp://ftp.kernel.org/pub/linux/utils/util-linux/>.

TRADUCTION
Cette page de manuel a été traduite et est maintenue par Julien Cristau <julien.cristau@ens-lyon.org> et les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.